## com.imcode.imcms.mapping.aop
Class DocumentAspect

    java.lang.Object
      com.imcode.imcms.mapping.aop.DocumentAspect

    public class DocumentAspect

extends java.lang.Object

Prototype implementation for showing translated document's fields in a chosen language.

Constructor Summary
`DocumentAspect(I18nLanguage language)`

Method Summary
`java.lang.Object` `getHeadline(org.aspectj.lang.ProceedingJoinPoint pjp)`
`java.lang.Object` `getMenuImage(org.aspectj.lang.ProceedingJoinPoint pjp)`
`java.lang.Object` `getMenuText(org.aspectj.lang.ProceedingJoinPoint pjp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentAspect

    public DocumentAspect(I18nLanguage language)

Method Detail

### getHeadline

    public java.lang.Object getHeadline(org.aspectj.lang.ProceedingJoinPoint pjp)
                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getMenuImage

    public java.lang.Object getMenuImage(org.aspectj.lang.ProceedingJoinPoint pjp)
                                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getMenuText

    public java.lang.Object getMenuText(org.aspectj.lang.ProceedingJoinPoint pjp)
                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`